/****************************************************************************
 *
 * PROGRAM:      clump4p
 *
 * AUTHOR(S):    Pawel Netzel - SIL UC
 *               Jarek Jasiewicz - SIL UC
 *                       (clumping algorithm for region)
 *
 * PURPOSE:      Recategorizes data in a raster map layer by grouping cells
 *               that form physically discrete areas into unique categories.
 *
 * COPYRIGHT:    (C) 2012 by Pawel Netzel
 *
 *               This program is free software under the GNU General Public
 *               License (>=v2).
 *
 ***************************************************************************/

#ifndef __MAIN_H__
#define __MAIN_H__

typedef int CELL;

/* clump.c */
void clump(EZGDAL_LAYER *, EZGDAL_LAYER *, int);
void replaceLabels(EZGDAL_LAYER *, EZGDAL_LAYER *);

/* main.c */
int main(int, char *[]);

#endif /* __MAIN_H__ */
